summaryrefslogtreecommitdiffstats
path: root/games/pcgen/pcgen.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/pcgen/pcgen.SlackBuild')
-rw-r--r--games/pcgen/pcgen.SlackBuild71
1 files changed, 57 insertions, 14 deletions
diff --git a/games/pcgen/pcgen.SlackBuild b/games/pcgen/pcgen.SlackBuild
index 468ba9de78..4fdc5fa9b5 100644
--- a/games/pcgen/pcgen.SlackBuild
+++ b/games/pcgen/pcgen.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for pcgen
-# Copyright 2017 klaatu @ member.fsf.org
+# Copyright 2017-22 klaatu @ member.fsf.org
#
# GNU All-Permissive License
# Copying and distribution of this file, with or without modification,
@@ -8,14 +8,43 @@
# notice and this notice are preserved. This file is offered as-is,
# without any warranty.
+# 20220505 bkw: Modified by SlackBuilds.org, BUILD=2:
+# - this is not noarch. force ARCH=x86_64, and warn user if on some other arch.
+# - reword README slightly.
+# - don't install windows .exe or .bat launcher.
+# - symlink executable to $PATH so command-line users can find it.
+# - strip binaries and libraries.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=pcgen
-VERSION=${VERSION:-"6.06.01"}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-"6.09.05"}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH="x86_64"
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+U="$( uname -m )"
+if [ "$ARCH" != "$U" ]; then
+ cat <<EOF
+*********************************************************************
+$0: building $ARCH package on a $U system.
-ARCH="noarch"
+The package will work if you install it on a $ARCH system, but not
+on this system.
+
+Press ^C within 10 seconds to abort.
+*********************************************************************
+EOF
+ sleep 10
+fi
-CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -27,26 +56,40 @@ mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
mkdir $PRGNAM-$VERSION
-unzip $CWD/"$PRGNAM"-"$VERSION"-full.zip -d $PRGNAM-$VERSION
+unzip $CWD/image-linux-x64.zip -d $PRGNAM-$VERSION
cd $PRGNAM-$VERSION
+
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
mkdir -p $PKG/opt/
-mv $PRGNAM $PKG/opt/$PRGNAM
+mv $PRGNAM-linux-x64 $PKG/opt/$PRGNAM
+
+# fix launcher script
+cd $PKG/opt/$PRGNAM
+patch < $CWD/pcgen.patch
-# patch for launcher
-tr -d '\r' < $PKG/opt/$PRGNAM/$PRGNAM.sh > $PKG/opt/$PRGNAM/$PRGNAM-launch.sh
-mv $PKG/opt/$PRGNAM/$PRGNAM-launch.sh $PKG/opt/$PRGNAM/$PRGNAM.sh
+# 20220505 bkw: do not need windows stuff:
+rm -f *.exe *.bat
# desktop file, added to SlackBuild for convenience
mkdir -p $PKG/usr/share/applications/
cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/
+# 20220505 bkw: symlink to somewhere that's normally in $PATH. not
+# everyone uses a desktop environment with a start menu.
+mkdir -p $PKG/usr/games
+ln -s ../../opt/$PRGNAM/$PRGNAM $PKG/usr/games/$PRGNAM
+
+# 20220505 bkw: shipped bins/libs aren't stripped, but stripping
+# them does no harm.
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -55,4 +98,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE